XIL-REGEN(1)

NAME
xil-regen

SYNOPSIS
xil-regen [-h] (--episode EPISODE | --tag TAG) [--parsed PARSED] [--cast CAST] [--show SHOW] [--output OUTPUT] [--speakers SPEAKERS]

DESCRIPTION
Regenerate a production script markdown from parsed JSON.

OPTIONS

--episode EPISODE
    Episode tag (e.g. S02E03)

--tag TAG
    Raw tag for non-episodic content (e.g. V01C03, D01)

--parsed PARSED
    Override parsed JSON path

--cast CAST
    Override cast config path

--show SHOW
    Show name override (default: from project.json)

--output OUTPUT
    Output markdown path (default: scripts/revised_<slug>_{TAG}.md)

--speakers SPEAKERS
    Path to speakers.json (default: auto-detect from CWD, then built-in)

SEE ALSO
xil(1), xil-scan(1), xil-parse(1), xil-cues(1), xil-produce(1), xil-assemble(1), xil-studio-onboard(1), xil-daw(1), xil-migrate(1), xil-cleanup(1), xil-import(1), xil-regen(1), xil-master(1), xil-voices(1), xil-csv-join(1), xil-sfx(1), xil-sample(1), xil-sfx-lib(1), xil-splice(1), xil-mp3-hash(1), xil-migrate-workspace(1), xil-init(1)

AUTHOR
John Brissette <xilcmd@gmail.com>